Jvm в лотусе 6.5.1

  • Автор темы K-Fire
  • Дата начала
K

K-Fire

Гость
#1
В лотусовом клиенте этой версии используется Java 1.3.1. Надо было прицепить библиотечку явовскую, но она работает минимум под 1.4.
В общем попытались подсунуть клиенту яву 1.5 - просто заменой папки jvm. К сожалению изврат не прошел, клиент валится при загрузке java-агента.

Кто нить может предложить как тут еще можно поизвращатся? :(
 
K

K-Fire

Гость
#4
<!--QuoteBegin-Azrael+17:08:2007, 06:28 -->
<span class="vbquote">(Azrael @ 17:08:2007, 06:28 )</span><!--QuoteEBegin-->Java - библиотеку перекомпилировать
[snapback]75536" rel="nofollow" target="_blank[/snapback]​
[/quote]

Именно так потом и сделали, однако встречаются либы сплошь и рядом которые работают только под 1.5, их просто перекомпилять не получится.

<!--QuoteBegin-Kee_Keekkenen+16:08:2007, 16:01 -->
<span class="vbquote">(Kee_Keekkenen @ 16:08:2007, 16:01 )</span><!--QuoteEBegin-->а джаву от семерочного клиента..

лучше клиент поменять..
[snapback]75510" rel="nofollow" target="_blank[/snapback]​
[/quote]

От семерки подсунуть яву это идея, попробуем :unsure:
Клиент менять не хочется, тем более как я выше написал, это не решает проблему с 1.5 либами, т.к 7шная ява - 1.4. Да и цель скорее теоретическая, чем практическая... Просто интересно что можно сделать с явой в лотусе.
Вызывать внешную яву мы уже пробовали не один раз - метод работает более менее стабильно, но полно подводных камней, да и производительность не фонтан.